Loading...
Searching...
No Matches
ojph::yuv_out Class Reference

`#include <ojph_img_io.h>`

Inheritance diagram for ojph::yuv_out:

## Public Member Functions

| yuv_out ()
virtual | ~yuv_out ()
void | open (char *filename)
void | configure (ui32 bit_depth, ui32 num_components, ui32 *comp_width)
virtual ui32 | write (const line_buf *line, ui32 comp_num)
virtual void | close ()
Public Member Functions inherited from ojph::image_out_base
virtual | ~image_out_base ()

## Private Attributes

FILE * | fh
const char * | fname
ui32 | width
ui32 | num_components
ui32 | bit_depth
ui32 * | comp_width
ui8 * | buffer
ui32 | buffer_size

## Detailed Description

Definition at line 699 of file ojph_img_io.h.

## Constructor & Destructor Documentation

## yuv_out()

ojph::yuv_out::yuv_out | ( |  | ) |

inline

Definition at line 702 of file ojph_img_io.h.

References bit_depth, buffer, buffer_size, comp_width, fh, fname, num_components, and width.

## ~yuv_out()

ojph::yuv_out::~yuv_out | ( |  | ) |

virtual

Definition at line 1401 of file ojph_img_io.cpp.

References buffer, buffer_size, close(), and comp_width.

## Member Function Documentation

## close()

virtual void ojph::yuv_out::close | ( |  | ) |

inline virtual

Reimplemented from ojph::image_out_base.

Definition at line 717 of file ojph_img_io.h.

References fh, and fname.

Referenced by ~yuv_out().

## configure()

void ojph::yuv_out::configure | ( | ui32 | bit_depth,
|  | ui32 | num_components,
|  | ui32 * | comp_width )

Definition at line 1428 of file ojph_img_io.cpp.

References bit_depth, buffer, buffer_size, comp_width, fh, num_components, and ojph_max.

Referenced by main().

## open()

void ojph::yuv_out::open | ( | char * | filename | ) |

Definition at line 1418 of file ojph_img_io.cpp.

References fh, fname, and OJPH_ERROR.

Referenced by main().

## write()

ui32 ojph::yuv_out::write | ( | const line_buf * | line,
|  | ui32 | comp_num )

virtual

Implements ojph::image_out_base.

Definition at line 1447 of file ojph_img_io.cpp.

References bit_depth, buffer, comp_width, fh, fname, ojph::line_buf::i32, num_components, and OJPH_ERROR.

## Member Data Documentation

## bit_depth

ui32 ojph::yuv_out::bit_depth

private

Definition at line 724 of file ojph_img_io.h.

Referenced by configure(), write(), and yuv_out().

## buffer

ui8* ojph::yuv_out::buffer

private

Definition at line 726 of file ojph_img_io.h.

Referenced by configure(), write(), yuv_out(), and ~yuv_out().

## buffer_size

ui32 ojph::yuv_out::buffer_size

private

Definition at line 727 of file ojph_img_io.h.

Referenced by configure(), yuv_out(), and ~yuv_out().

## comp_width

ui32* ojph::yuv_out::comp_width

private

Definition at line 725 of file ojph_img_io.h.

Referenced by configure(), write(), yuv_out(), and ~yuv_out().

## fh

FILE* ojph::yuv_out::fh

private

Definition at line 720 of file ojph_img_io.h.

Referenced by close(), configure(), open(), write(), and yuv_out().

## fname

const char* ojph::yuv_out::fname

private

Definition at line 721 of file ojph_img_io.h.

Referenced by close(), open(), write(), and yuv_out().

## num_components

ui32 ojph::yuv_out::num_components

private

Definition at line 723 of file ojph_img_io.h.

Referenced by configure(), write(), and yuv_out().

## width

ui32 ojph::yuv_out::width

private

Definition at line 722 of file ojph_img_io.h.

Referenced by yuv_out().

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/common/ojph_img_io.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/others/ojph_img_io.cpp